%define name sidplay2
%define	tar_version 0.6
%define tar_release 2
%define release 2mdk

Summary: A Commodore 64 music player and SID chip emulator.
Name: %{name}
Version: %{tar_version}.%{tar_release}
Release: %{release}
Copyright: GPL
URL: http://sourceforge.net/projects/sidplay2
Group: Sound
Source: sidplay2-%{tar_version}-%{tar_release}.tar.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildrooot
BuildRequires: libresid0-devel 

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White which requires the reSID library as the SID
emulator portion.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n libsidplay

%build
#internal compiler error with optimisations enabled
export CXXFLAGS=""
./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# As long as the library is a player, rename it here.
if [ -f $RPM_BUILD_ROOT%{_bindir}/libsidplay ]; then \
mv $RPM_BUILD_ROOT%{_bindir}/libsidplay $RPM_BUILD_ROOT%{_bindir}/sidplay2;fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/sidplay2

%changelog
* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- removed the manpage it wasn't working
	- rebuild with new dynamic resid library

* Thu Nov 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- new version
	- fixed compilation with gcc 2.96

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.20000925-2mdk
- used srpm from Gtz Waschk :
	Wed Oct  4 2000 Gtz Waschk <waschk@linux-mandrake.com> 
	- added sidplay manpage as a link to sidplay2 page 

* Wed Oct 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.20000925-1mdk
 
- used srpm from Gtz Waschk :
        Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.4.20000925-1mdk
        - adapted as Mandrake package
 
* Thu Aug 03 2000 Michael Schwendt <mschwendt@yahoo.com>
 
- Initial RPM built.  

